## cargo 0.29.0

=== debian/changelog ===
cargo (0.29.0-1ubuntu1~18.04.1) bionic; urgency=medium

  * Backport 0.29.0 to bionic
  * Embed libgit2 0.27.0 to avoid a dependency on a version which is newer
    than that found in bionic
    - add debian/libgit2
    - update debian/control
    - update debian/rules
    - update debian/copyright
    - update debian/patches/series
    - update debian/README.source

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 16 Aug 2018 08:49:21 +0100

cargo (0.29.0-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/control
      - update debian/rules
      - update debian/make_orig_multi.sh
    - Bump libgit2 dependency to 0.27.0. This is what is bundled in upstream
      checkouts now, and it no longer builds against 0.25.1.0
      - update debian/control
    - Drop the unneeded dependency on libjs-jquery from cargo-doc
      - update debian/control
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      - update debian/rules
    - Don't disable generate_lockfile.rs:no_index_update, as this test was
      fixed upstream to not clone the real index
      - update debian/patches/2002_disable-net-tests.patch
    - Disable fetch tests on non x86/x86-64 architectures, as those hit an
      unreachable!() in test code. Disable the Debian patch that disables these
      tests on every architecture
      - add debian/patches/disable-fetch-tests-on-non-x86.patch
      - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 15 Aug 2018 17:10:23 +0100

cargo (0.29.0-1) unstable; urgency=medium

  * Merge changes of 0.28.0-2, which was missed in first release of 0.29.0
  * Upload to unstable.
  * Refresh patch for `install --target` feature for release 0.29.0

 -- Vasudev Kamath <vasudev@copyninja.info>  Mon, 13 Aug 2018 20:37:13 +0530

cargo (0.29.0-1~exp1) experimental; urgency=medium
  [ upstream ]
  * Cargo will now no longer allow you to publish crates with build
    scripts that modify the src directory. The src directory in a crate
    should be considered to be immutable.

  [ Vasudev Kamath ]
  * Update unsuspicious text for new release 0.29.0
  * Change pattern for embedded zlib
  * debian/patches:
    + Refresh patches 2001, 2002, 2003, 2004 to work with new release and
      new vendor files.
    + Add patch 1001 to fix deprecated warnings on usage of "casues" from
      failure crate,
  * Update copyright information for new release.
  * Make package compliant with policy 4.2.0.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 12 Aug 2018 22:25:42 +0530

cargo (0.28.0-2) unstable; urgency=medium

  * Re-add `install --target` functionality, needed by dh-cargo.

 -- Ximin Luo <infinity0@debian.org>  Sun, 12 Aug 2018 00:15:23 -0700

cargo (0.28.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Vasudev Kamath <vasudev@copyninja.info>  Tue, 07 Aug 2018 22:14:46 +0530

cargo (0.28.0-1~exp3) experimental; urgency=medium

  * Disable incremental compilation tests on sparc64 architecture.
    Closes: bug#905623, Thanks to John Paul Adrian Glaubitz.

 -- Vasudev Kamath <vasudev@copyninja.info>  Tue, 07 Aug 2018 22:01:31 +0530

cargo (0.28.0-1~exp2) experimental; urgency=medium

  * Add patch 2005 to disable fetch_platform_specific_dependencies unit
    tests. Upstream issue #5864.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 05 Aug 2018 17:17:00 +0530

cargo (0.28.0-1~exp1) experimental; urgency=medium

  [ upstream ]
  * cargo-metadata now includes authors, categories, keywords, readme, and
    repository fields.
  * cargo-metadata now includes a package's metadata table.
  * Added the --target-dir optional argument. This allows you to specify a
    different directory than target for placing compilation artifacts.
  * Cargo will be adding automatic target inference for binaries,
    benchmarks, examples, and tests in the Rust 2018 edition. If your
    project specifies specific targets e.g. using [[bin]] and have other
    binaries in locations where cargo would infer a binary, Cargo will
    produce a warning. You can disable this feature ahead of time by
    setting any of the following autobins, autobenches, autoexamples,
    autotests to false.
  * Cargo will now cache compiler information. This can be disabled by
    setting CARGO_CACHE_RUSTC_INFO=0 in your environment.

  [ Sylvestre Ledru ]
  * Update of the alioth ML address.

  [ Vasudev Kamath ]
  * Update README.source to mention preferred way of upload.
  * Update unsuspicious files for new release.
  * debian/patches:
    + Refresh patch 2007 for new release.
    + Refresh patch 2001 for new version of libgit2-sys
    + Drop patch 2008 as its merged upstream.
    + Add patch 2003 for forcing use of libssh2 from system, which was now
      controlled by environment variable.
  * debian/copyright:
    + Update copyright information for new release.
  * Mark package compliance with Debian Policy 4.1.5.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 29 Jul 2018 22:07:36 +0530

cargo (0.28.0-0ubuntu3) cosmic; urgency=medium

  * Update to 0.28.0
  * Refresh patches
    - update debian/patches/2007_sparc64_disable_incremental_build.patch
    - update debian/patches/2001_use-system-libgit2.patch
    - update debian/patches/2008_support-cross-compile-install.patch
  * Disable fetch tests on non x86/x86-64 architectures, as those hit an
    unreachable!() in test code
    - add debian/patches/disable-fetch-tests-on-non-x86.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 09 Jul 2018 19:20:26 +0100
