## cargo 0.30.0

=== debian/changelog ===
cargo (0.30.0-1~exp1ubuntu1) cosmic; urgency=medium

  * Merge with Debian experimental. Remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/control
      - update debian/rules
      - update debian/make_orig_multi.sh
    - Bump libgit2 dependency to 0.27.0. This is what is bundled in upstream
      checkouts now, and it no longer builds against 0.25.1.0
      - update debian/control
    - Drop the unneeded dependency on libjs-jquery from cargo-doc
      - update debian/control
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      - update debian/rules
    - Don't disable generate_lockfile.rs:no_index_update, as this test was
      fixed upstream to not clone the real index
      - update debian/patches/2002_disable-net-tests.patch
    - Disable fetch tests on non x86/x86-64 architectures, as those hit an
      unreachable!() in test code. Disable the Debian patch that disables these
      tests on every architecture
      - add debian/patches/disable-fetch-tests-on-non-x86.patch
      - update debian/patches/series

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 17 Oct 2018 23:19:54 +1300

cargo (0.30.0-1~exp1) experimental; urgency=medium

  [ upstream ]
  * Cargo can silently fix some bad lockfiles You can use --locked to
    disable this behaviour.
  * cargo-install will now allow you to cross compile an install using
    --target.
  * Added the cargo-fix subcommand to automatically move project code from
    2015 edition to 2018.

  [ Vasudev Kamath ]
  * Refresh patch 2004 for new release.
  * Add openssl crates fuzz,test doc and apps file to unsuspicious list.
  * debian/patches:
    + Drop patch 0774e97da3894f07ed5b6f7db175027a9bc4718b.patch for adding
      cross compile support. Its merged upstream.
    + Refresh patch 2001 to newer version of libgit2-sys.
    + Refresh patch 2003 to newer version of libssh2-sys.
    + Drop patch 1001 which is merged upstream.
    + Refresh patch 2005 and 2007 to remove fuzz.
    + Refresh patch 2002 with newer release.
  * debian/control:
    + Mark package compliance with Debian policy 4.2.1.
  * Update copyright information for new release.
  * debian/rules:
    + Use DEB_BUILD_OPTIONS to disable tests on powerpc and powerpcspe
      architecture.
      Closes: bug#908961, Thanks to Helmut Grohne.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 07 Oct 2018 10:39:49 +0530
