=== debian/control ===
--- 
+++ 
@@ -21,16 +21,14 @@
                bash-completion,
                python3:native,
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
-# The libgit2 build depends on at least 1.6.0 for libssh2_userauth_publickey_frommemory
-               libssh2-1-dev (>= 1.6.0),
-# Avoid a dependency on a libgit version that isn't in Ubuntu yet
-#               libgit2-dev (>= 0.27.0),
+               libssh2-1-dev,
+               libgit2-dev (>= 0.27.0),
                libhttp-parser-dev,
                libssl-dev,
                zlib1g-dev,
                git <!nocheck>
 Homepage: https://crates.io/
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/rust-team/cargo.git
 Vcs-Browser: https://salsa.debian.org/rust-team/cargo
