=== debian/rules ===
--- 
+++ 
@@ -36,11 +36,11 @@
 # cbmuser requested this and will fix the errors later
 # TODO: once powerpc powerpcspe test failures are fixed drop this
 ifeq ($(DEB_HOST_ARCH), powerpc)
-	DEB_BUILD_PROFILES = nocheck
+	DEB_BUILD_OPTIONS = nocheck
 endif
 
 ifeq ($(DEB_HOST_ARCH), powerpcspe)
-	DEB_BUILD_PROFILES = nocheck
+	DEB_BUILD_OPTIONS = nocheck
 endif
 
 HAVE_BOOTSTRAP_BINARY := $(shell ls -1 debian/bootstrap/$(DEB_HOST_RUST_TYPE)/ 2>/dev/null | wc -l)
@@ -56,9 +56,7 @@
 	ln -sf `which cargo` $(CURDIR)/cargo-stage0
 endif
 	debian/scripts/prune-checksums vendor/backtrace-sys-*/
-# XXX: Avoid a dependency on a libgit version that isn't in Ubuntu yet
-#	debian/scripts/prune-checksums vendor/libgit2-sys-*/
-	cp -a debian/libgit2 vendor/libgit2-sys-0.7.7/
+	debian/scripts/prune-checksums vendor/libgit2-sys-*/
 
 override_dh_auto_build-arch:
 	$(CARGO) build $(CARGOFLAGS)
@@ -103,8 +101,6 @@
 			$(CURDIR)/Makefile \
 			$(CURDIR)/Cargo.lock \
 			$(CURDIR)/cargo-stage0
-# XXX: Avoid a dependency on a libgit version that isn't in Ubuntu yet
-	-$(RM) -rf vendor/libgit2-sys-0.7.7/libgit2
 
 override_dh_clean:
 	# Upstream contains a lot of these
