## cargo 0.31.0

=== debian/changelog ===
cargo (0.31.0-4) unstable; urgency=medium

  * Don't set RUSTFLAGS in d/rules. (Closes: #914110)

 -- Ximin Luo <infinity0@debian.org>  Mon, 19 Nov 2018 22:50:59 -0800

cargo (0.31.0-3) unstable; urgency=medium

  * Tweak the cargo wrapper script to be more robust.

 -- Ximin Luo <infinity0@debian.org>  Fri, 09 Nov 2018 02:56:54 -0800

cargo (0.31.0-2) unstable; urgency=medium

  * Fix test failure on some architectures due to hash ordering.
  * Bump libgit2 dependency version constraint. (Closes: #899038)

 -- Ximin Luo <infinity0@debian.org>  Sun, 04 Nov 2018 11:32:26 -0800

cargo (0.31.0-1) unstable; urgency=medium

  * Don't run tests when doing arch-indep build.
  * Fix package include/exclude tests.

 -- Ximin Luo <infinity0@debian.org>  Sun, 04 Nov 2018 10:10:24 -0800

cargo (0.31.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Simplify build scripts and add a Debian wrapper for cargo.

 -- Ximin Luo <infinity0@debian.org>  Sun, 04 Nov 2018 03:50:33 -0800

cargo (0.30.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 21 Oct 2018 11:59:11 +0530
