## cargo 0.31.1

=== debian/changelog ===
cargo (0.31.1-1) unstable; urgency=medium

  * Upload 0.31.1 to unstable.

 -- Vasudev Kamath <vasudev@copyninja.info>  Tue, 11 Dec 2018 20:57:21 +0530

cargo (0.31.1-1~exp1) experimental; urgency=medium

  [ upstream ]
  * [1.30.0] Backport msys progress bar fix for stable.

  [ Ximin Luo ]
  * debian-cargo-vendor: only store differences between vendor-patches and
    debcargo-conf.

  [ Vasudev Kamath ]
  * Do not delete Cargo.lock in debian-cargo-vendor script as its
    referenced later in make_orig_multi.sh.

 -- Vasudev Kamath <vasudev@copyninja.info>  Tue, 11 Dec 2018 20:53:53 +0530
