=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: cargo
 Section: devel
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
+Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders: Luca Bruno <lucab@debian.org>,
  Angus Lees <gus@debian.org>,
  Ximin Luo <infinity0@debian.org>,
@@ -10,10 +9,7 @@
 # :native annotations are to support cross-compiling, see README.Debian of rustc
 Build-Depends: debhelper (>= 9.20141010),
                dpkg-dev (>= 1.17.14),
-# TODO: related to https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=839145
-# the non-native lines can be deleted after all versions in unstable are M-A: allowed
-               cargo           (>= 0.17.0) <!pkg.cargo.mkstage0> |
-               cargo:native    (>= 0.17.0) <!pkg.cargo.mkstage0>,
+               cargo:native    (>= 0.17.0),
                rustc:native    (>= 1.16),
                libstd-rust-dev (>= 1.16),
                pkg-config,
@@ -22,7 +18,7 @@
                python3:native,
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
                libssh2-1-dev,
-               libgit2-dev (>= 0.27.0),
+               libgit2-dev (>= 0.27),
                libhttp-parser-dev,
                libssl-dev,
                zlib1g-dev,
