=== debian/changelog ===
cargo (0.32.0-1~exp1ubuntu1~18.04.1) bionic; urgency=medium

  * Backport to Bionic.
  * Embed libgit2 0.27.0 to avoid a dependency on a version which is newer
    than that found in bionic
    - add debian/libgit2
    - add debian/patches/do-not-use-system-libgit2.patch
    - update debian/control
    - update debian/rules
    - update debian/copyright
    - update debian/patches/series
    - update debian/README.source
  * Hack the libgit2-sys build process to link the bundled libgit2
    against the system's libhttp_parser.
    - add debian/patches/use-system-libhttp-parser.patch
    - update debian/patches/series

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 23 Jan 2019 15:21:31 +1300

cargo (0.32.0-1~exp1ubuntu1) disco; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/make_orig_multi.sh
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      - update debian/rules
    - Disable fetch tests on non x86/x86-64 architectures, as those hit an
      unreachable!() in test code. Disable the Debian patch that disables these
      tests on every architecture
      - add debian/patches/disable-fetch-tests-on-non-x86.patch
      - update debian/patches/series
    - Disable test tool_paths::custom_runner which fails every now and again
      because of a libstd bug (https://github.com/rust-lang/rust/issues/55242)
      - add debian/patches/disable-tool_paths-custom_runner.patch
      - update debian/patches/series

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 23 Jan 2019 12:45:10 +1300

cargo (0.32.0-1~exp1) experimental; urgency=medium

  [ upstream ]
  * Cargo will now download crates in parallel using HTTP/2.
  * You can now rename packages in your Cargo.toml We have a guide on how
    to use the package key in your dependencies.

  [ Vasudev Kamath ]
  * Fix the scripts related to tarball creation
  * Update unsuspicious file list for 0.32.0
  * Update copyright information for 0.32.0.
  * Add lintian-override for source-is-missing, for javascript file from
    vendored crate documentation. File is not really shipped.

 -- Vasudev Kamath <vasudev@copyninja.info>  Wed, 12 Dec 2018 21:47:42 +0530

cargo (0.31.0-3ubuntu1) disco; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/make_orig_multi.sh
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      - update debian/rules
    - Disable fetch tests on non x86/x86-64 architectures, as those hit an
      unreachable!() in test code. Disable the Debian patch that disables these
      tests on every architecture
      - add debian/patches/disable-fetch-tests-on-non-x86.patch
      - update debian/patches/series
    - Disable test tool_paths::custom_runner which fails every now and again
      because of a libstd bug (https://github.com/rust-lang/rust/issues/55242)
      - add debian/patches/disable-tool_paths-custom_runner.patch
      - update debian/patches/series

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 13 Nov 2018 17:42:39 +1300
