=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 
 override_dh_auto_configure:
 	$(CARGO) prepare-debian $(CURDIR)/vendor
+	cp -a debian/libgit2 vendor/libgit2-sys/
 
 override_dh_auto_build-arch:
 	$(CARGO) build
@@ -32,8 +33,19 @@
 override_dh_auto_build-indep:
 	$(CARGO) doc
 
+RUN_TESTS = \
+	if $(1); then \
+	  : ; \
+	elif [ $(DEB_HOST_ARCH) != "s390x" ]; then \
+	  false; \
+	else \
+	  echo "======================================================"; \
+	  echo "WARNING: Ignoring test failures in the cargo testsuite"; \
+	  echo "======================================================"; \
+	fi
+
 override_dh_auto_test-arch:
-	CFG_DISABLE_CROSS_TESTS=1 $(CARGO) test $(CARGO_TEST_FLAGS)
+	$(call RUN_TESTS,CFG_DISABLE_CROSS_TESTS=1 $(CARGO) test $(CARGO_TEST_FLAGS))
 
 override_dh_auto_test-indep:
 	# no arch-indep tests
@@ -43,6 +55,8 @@
 
 override_dh_auto_clean:
 	$(CARGO) clean
+# XXX: Avoid a dependency on a libgit version that isn't in Ubuntu 18.04 and older
+	-$(RM) -rf vendor/libgit2-sys/libgit2
 
 override_dh_clean:
 	# Upstream contains a lot of these
