## cargo 0.33.0

=== debian/changelog ===
cargo (0.33.0-3) unstable; urgency=medium

  * Drop patch to capture rustc error output, it is unnecessary.
  * Add upstream patch to fix typenum bug.

 -- Ximin Luo <infinity0@debian.org>  Sat, 18 May 2019 20:22:22 -0700

cargo (0.33.0-2) unstable; urgency=medium

  * Add patch to capture rustc error output if extra-verbose.

 -- Ximin Luo <infinity0@debian.org>  Sat, 18 May 2019 12:14:38 -0700

cargo (0.33.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Tue, 05 Feb 2019 20:52:47 -0800

cargo (0.32.0-2~exp1) experimental; urgency=medium

  * Drop patch 2007, for disabling incremental build on sparc64.
    Closes: bug#917048, Thanks to John Paul Adrian Glaubitz.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 02 Feb 2019 13:16:13 +0530

cargo (0.32.0-1) unstable; urgency=medium

  * debian-cargo-wrapper: Support DEB_CARGO_INSTALL_PREFIX for installing into
    somewhere other than /usr, e.g. / or /usr/lib/cargo.
  * Move dev scripts from /usr/share/cargo into /usr/share/cargo/scripts.
  * Increase yet another timeout duration for slower architectures.

 -- Ximin Luo <infinity0@debian.org>  Thu, 24 Jan 2019 00:29:51 -0800

cargo (0.32.0-1~exp3) experimental; urgency=medium

  [ Matt Kraai ]
  * Rename bash completion script so that it's used.

  [ Ximin Luo ]
  * Further increase a timeout duration for mips.
  * debian-cargo-wrapper: add --link-to-system option

 -- Ximin Luo <infinity0@debian.org>  Wed, 23 Jan 2019 19:44:05 -0800

cargo (0.32.0-1~exp2) experimental; urgency=medium

  * Try to deal with the various test failures as suggested by upstream.

 -- Ximin Luo <infinity0@debian.org>  Tue, 22 Jan 2019 20:08:29 -0800
