## cargo 0.34.0

=== debian/changelog ===
cargo (0.34.0-0ubuntu1) eoan; urgency=medium

  * New upstream version.
    - Refresh patches.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 14 May 2019 11:14:06 +1200

cargo (0.33.0-1ubuntu2) disco; urgency=medium

  * Fix a rounding issue in vendor/typenum.
    - add debian/patches/typenum-rounding.patch
    - update debian/patches/series

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 14 Mar 2019 10:00:18 +1300

cargo (0.33.0-1ubuntu1) disco; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/make_orig_multi.sh
    - Disable fetch tests on non x86/x86-64 architectures, as those hit an
      unreachable!() in test code. Disable the Debian patch that disables these
      tests on every architecture
      - add debian/patches/disable-fetch-tests-on-non-x86.patch
      - update debian/patches/series
    - Disable test tool_paths::custom_runner which fails every now and again
      because of a libstd bug (https://github.com/rust-lang/rust/issues/55242)
      - add debian/patches/disable-tool_paths-custom_runner.patch
      - update debian/patches/series
  * Dropped change:
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      - update debian/rules

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 14 Feb 2019 10:49:58 +1300
